package com.qmth.pdf.tools.bean;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PaperBean {

    @ApiModelProperty("试卷名称")
    private String name;

    @ApiModelProperty("课程代码")
    private String courseCode;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("试卷总分,100")
    private int totalScore;

    @ApiModelProperty("大题数量")
    private int detailCount;

    @ApiModelProperty("试题题干是否包含音频")
    private boolean hasAudio;

    @ApiModelProperty("大题集合")
    private List<DetailBean> details;

    @ApiModelProperty("考生姓名")
    private String studentName;

    @ApiModelProperty("考生学号")
    private String studentCode;

}