package com.qmth.pdf.tools.bean;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QuestionBean {

    @ApiModelProperty("小题全局标识")
    private String id;

    @ApiModelProperty("小题号")
    private int number;

    @ApiModelProperty("小题分数")
    private Double score;

    @ApiModelProperty("结构类型:1-单选，2-多选，3-判断，4-填空，5-问答，6-套题，7-听力，8-配对题")
    private int structType;

    @ApiModelProperty("是否客观题")
    private boolean objective;

    @ApiModelProperty("答案")
    // 支持 List<Integer>, boolean, 和 JSON 数组格式
    private Object answer;

    @ApiModelProperty("试题扩展属性，可选")
    private Map<String, Object> param;

    @ApiModelProperty("考生答案")
    //支持 List<Integer>, boolean, 和 JSON 数组格式
    private Object studentAnswer;

    @ApiModelProperty("考生分数")
    private Double studentScore;

    @ApiModelProperty("选项集合，单选或多选时存在")
    private List<OptionBean> options;

    @ApiModelProperty("属性，无用")
    private List<Object> property;

    @ApiModelProperty("考试控制参数，可选")
    private ControlBean control;

    @ApiModelProperty("题目说明")
    private BodyBean body;

}