package com.qmth.pdf.tools.bean;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 考生信息
 * @Author haoguanghui
 * @date 2025/03/11
 */
@Getter
@Setter
@ToString
@JsonIgnoreProperties(ignoreUnknown = true)
public class StudentBean implements Serializable {

    @ApiModelProperty("考生姓名")
    private String name;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("用于获取考生的答案json")
    private String secretNumber;

    @ApiModelProperty("科目编码，获取试卷的结构json")
    private String subjectCode;

    @ApiModelProperty("考生客观题得分详情")
    private List<StudentScoreBean> objectiveScoreDetail;

    @ApiModelProperty("考生主观题得分详情")
    private List<StudentScoreBean> subjectiveScoreDetail;

    @ApiModelProperty("是否完成评卷")
    private boolean upload;
}
