package com.qmth.pdf.tools.control;

import com.qmth.pdf.tools.constant.SystemConstant;
import com.qmth.pdf.tools.service.StudentPaperService;
import com.qmth.pdf.tools.util.Result;
import com.qmth.pdf.tools.util.ResultUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 学生的试卷json处理控制器
 * @Author haoguanghui
 * @date 2025/03/11
 */
@RestController
@RequestMapping(SystemConstant.DEFAULT_URI_PREFIX)
public class StudentJsonControl {

    @Autowired
    private StudentPaperService studentPaperService;

    /**
     * 生成考生的试卷json文件
     * @param examId 考试ID-不能为空
     * @param subjectCode 科目代码-可为空
     */
    @RequestMapping("/student/paper/output")
    public Result outputStudentPaperJson(Long examId, String subjectCode){
        studentPaperService.outputStudentPaperJson(examId, subjectCode);
        return ResultUtil.ok(SystemConstant.WAIT_MSG);
    }

}