package com.qmth.pdf.tools.util;

import com.qmth.pdf.tools.constant.SystemConstant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Collections;

public class ResultUtil {

    public static Result success(Object object) {
        return new Result(SystemConstant.SUCCESS_CODE, SystemConstant.SUCCESS_MSG, object);
    }

    public static Result success() {
        return success(null);
    }

    public static Result ok(String message) {
        return new Result(SystemConstant.SUCCESS_CODE, message);
    }

    public static Result ok(Object data) {
        return new Result(SystemConstant.SUCCESS_CODE, data, SystemConstant.SUCCESS_MSG);
    }

    public static Result error(int code, String message) {
        return new Result(code, message);
    }

    public static Result ok(boolean success) {
        return new Result(SystemConstant.SUCCESS_CODE, Collections.singletonMap("success", success),SystemConstant.SUCCESS_MSG);
    }

}
